summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorAlexander Couzens <lynxis@fe80.eu>2016-10-13 22:32:45 +0200
committerHolger Levsen <holger@layer-acht.org>2016-10-13 23:20:32 +0200
commitb71ff2e224c000ee9da793b0b046843472bb0ef4 (patch)
treefe23c6164bcbdd41fcaba509749656a03d01dd11 /bin
parentd7dbd3e0b0deda13622c9d89d21f83bc4026f24f (diff)
downloadjenkins.debian.net-b71ff2e224c000ee9da793b0b046843472bb0ef4.tar.xz
reproducible/openwrt|lede: fix name of renamed function in failure path
Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'bin')
-rw-r--r--bin/reproducible_openwrt_common.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/bin/reproducible_openwrt_common.sh b/bin/reproducible_openwrt_common.sh
index 3af45b7a..793ee1b8 100644
--- a/bin/reproducible_openwrt_common.sh
+++ b/bin/reproducible_openwrt_common.sh
@@ -44,8 +44,8 @@ master_cleanup_tmpdirs() {
# in a success build the logs are saved on a different function
if [ "$1" != "success" ] ; then
# job failed
- ssh $GENERIC_NODE1 reproducible_$TYPE node openwrt_save_logs $TMPDIR/logs.xz $TMPDIR/build || true
- ssh $GENERIC_NODE2 reproducible_$TYPE node openwrt_save_logs $TMPDIR/logs.xz $TMPDIR/build || true
+ ssh $GENERIC_NODE1 reproducible_$TYPE node node_save_logs $TMPDIR/logs.xz $TMPDIR/build || true
+ ssh $GENERIC_NODE2 reproducible_$TYPE node node_save_logs $TMPDIR/logs.xz $TMPDIR/build || true
# save failure logs
mkdir -p $WORKSPACE/results/
rsync -av $GENERIC_NODE1:$TMPDIR/build_logs.tar.xz $WORKSPACE/results/build_logs_b1.tar.xz
@@ -264,7 +264,7 @@ openwrt_get_banner() {
TMPDIR=$1
TYPE=$2
cd $TMPDIR/build/$TYPE
- cat $(find build_dir/ -name banner | grep etc/banner|head -1| xargs cat /dev/null)
+ find build_dir/ -name banner | grep etc/banner|head -1| xargs cat /dev/null
}
# openwrt_build is run on a remote host